Bug 1535406 - OSP10 -> OSP13 FFU upgrade: fast_forward_upgrade_playbook fails with Error: Evaluation Error: Error while evaluating a Function Call, Could not find data item nova::rabbit_password in any Hiera data file and no default supplied at /root/nova-api_upgrade
Summary: OSP10 -> OSP13 FFU upgrade: fast_forward_upgrade_playbook fails with Error: E...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Lukas Bezdicka
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-17 10:33 UTC by Marius Cornea
Modified: 2018-06-27 13:43 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180326192239.e59fd2c.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:42:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1743740 None None None 2018-01-17 10:34:38 UTC
OpenStack gerrit 541397 None master: MERGED tripleo-heat-templates: ffu: Introduce prep workarounds for FFU (Ib5cc32b798118c85bf09beab097be2f6eaeb405f) 2018-04-11 01:49:07 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:43:05 UTC

Description Marius Cornea 2018-01-17 10:33:57 UTC
Description of problem:

Newton -> Queens FFU upgrade: fast_forward_upgrade_playbook fails with Error: Evaluation Error: Error while evaluating a Function Call, Could not find data item nova::rabbit_password in any Hiera data file and no default supplied at /root/nova-api_upgrade_manifest.pp:6:18 on node controller-0.localdomain

Checking the overcloud controller it looks that the hierarchy section in /etc/puppet/hiera.yaml doesn't point to any files:

[root@controller-0 ~]# cat /etc/puppet/hiera.yaml
---
:backends:
  - json
  - yaml
:json:
  :datadir: /etc/puppet/hieradata/
:yaml:
  :datadir: /etc/puppet/hieradata
:hierarchy:

Comment 9 errata-xmlrpc 2018-06-27 13:42:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.